Subject: Re: Avoid erroring out when unable to remove or parse logical rewrite files to save checkpoint work

From: "Bossart, Nathan" <[email-masked]>
Date: Wed, 12 Jan 2022 22:17:25 +0000

On 12/31/21, 4:44 AM, "Bharath Rupireddy" <[email-masked]> wrote:
> Currently the server is erroring out when unable to remove/parse a
> logical rewrite file in CheckPointLogicalRewriteHeap wasting the
> amount of work the checkpoint has done and preventing the checkpoint
> from finishing. This is unlike CheckPointSnapBuild does for snapshot
> files i.e. it just emits a message at LOG level and continues if it is
> unable to parse or remove the file. Attaching a small patch applying
> the same idea to the mapping files.

This seems reasonable to me.  AFAICT moving on to other files after an
error shouldn't cause any problems.  In fact, it's probably beneficial
to try to clean up as much as possible so that the files do not
continue to build up.

The only feedback I have for the patch is that I don't think the new
comments are necessary.

Nathan